### Enumeration

# GLib KeyFileError

#### Declaration

    error-domain GLib.KeyFileError

#### Description [src]

Error codes returned by key file parsing.

#### Members

`G_KEY_FILE_ERROR_UNKNOWN_ENCODING`

  The text being parsed was in an unknown encoding.

  - Value: `0`
  - Available since: 2.0
`G_KEY_FILE_ERROR_PARSE`

  Document was ill-formed.

  - Value: `1`
  - Available since: 2.0
`G_KEY_FILE_ERROR_NOT_FOUND`

  The file was not found.

  - Value: `2`
  - Available since: 2.0
`G_KEY_FILE_ERROR_KEY_NOT_FOUND`

  A requested key was not found.

  - Value: `3`
  - Available since: 2.0
`G_KEY_FILE_ERROR_GROUP_NOT_FOUND`

  A requested group was not found.

  - Value: `4`
  - Available since: 2.0
`G_KEY_FILE_ERROR_INVALID_VALUE`

  A value could not be parsed.

  - Value: `5`
  - Available since: 2.0